Subject: Re: [PATCH v4 3/4] iio: stx104: Allow build for X86_64

From: Guenter Roeck <[email-masked]>
Date: Fri, 27 May 2016 13:52:55 -0700

On Fri, May 27, 2016 at 03:54:00PM -0400, William Breathitt Gray wrote:
> On Fri, May 27, 2016 at 11:20:57AM -0700, Guenter Roeck wrote:
> >On Mon, May 23, 2016 at 08:31:07PM -0400, William Breathitt Gray wrote:
> >> With the introduction of the ISA_BUS_API Kconfig option, ISA-style
> >> drivers may be built for X86_64 architectures. This patch changes the
> >> ISA Kconfig option dependency of the Apex Embedded Systems STX104 DAC
> >> driver to ISA_BUS_API, thus allowing it to build for X86_64 as it is
> >> expected to.
> >> 
> >> Cc: Hartmut Knaack <[email-masked]>
> >> Cc: Lars-Peter Clausen <lars-Qo5EllUWu/[email-masked]>
> >> Cc: Peter Meerwald-Stadler <[email-masked]>
> >> Cc: Jonathan Cameron <[email-masked]>
> >> Signed-off-by: William Breathitt Gray <[email-masked]>
> >> ---
> >>  drivers/iio/dac/Kconfig | 2 +-
> >>  1 file changed, 1 insertion(+), 1 deletion(-)
> >> 
> >> diff --git a/drivers/iio/dac/Kconfig b/drivers/iio/dac/Kconfig
> >> index e63b957..315442f 100644
> >> --- a/drivers/iio/dac/Kconfig
> >> +++ b/drivers/iio/dac/Kconfig
> >> @@ -247,7 +247,7 @@ config MCP4922
> >>  
> >>  config STX104
> >>  	tristate "Apex Embedded Systems STX104 DAC driver"
> >> -	depends on X86 && ISA
> >> +	depends on ISA_BUS_API
> >
> >Assuming the dropped dependency on X86 is intentional:
> >
> >Reviewed-by: Guenter Roeck <[email-masked]>
> 
> Thanks for the review Guenter: losing the X86 dependency was not
> intentional; it looks like I forgot to adjust this when I made
> ISA_BUS_API available to all architectures. I'll submit version 5 with
> the explicit X86 dependency back in place for CONFIG_STX104 and
> CONFIG_EBC_C384_WDT.
> 
Ok. Feel free to keep my Reviewed-by: tag unless you make further changes.

Guenter
--
To unsubscribe from this list: send the line "unsubscribe linux-watchdog" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html